Tweet
curl --request POST \
--url https://api.warmyourx.com/tweet \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'text=<string>' \
--data 'cookies=<string>' \
--data 'proxy=<string>' \
--data 'tweet_url=<string>'import requests
url = "https://api.warmyourx.com/tweet"
payload = {
"text": "<string>",
"cookies": "<string>",
"proxy": "<string>",
"tweet_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({
text: '<string>',
cookies: '<string>',
proxy: '<string>',
tweet_url: '<string>'
})
};
fetch('https://api.warmyourx.com/tweet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tweet_id": "<string>",
"tweet_url": "<string>",
"reply_to_tweet_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}API Reference
Tweet
POST
/
tweet
Tweet
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/x-www-form-urlencoded
Text content for the tweet.
Raw Cookie header value copied from the browser session.
Optional per-request proxy URL (overrides X_DEFAULT_PROXY from the environment when set). Example: http://user:pass@host:port [blocked]
Optional tweet link or numeric tweet ID to reply to.
⌘I